[arch-commits] Commit in python-wxpython/repos/community-x86_64 (PKGBUILD PKGBUILD)

Morten Linderud foxboron at archlinux.org
Sat May 15 11:20:29 UTC 2021


    Date: Saturday, May 15, 2021 @ 11:20:29
  Author: foxboron
Revision: 934634

archrelease: copy trunk to community-x86_64

Added:
  python-wxpython/repos/community-x86_64/PKGBUILD
    (from rev 934633, python-wxpython/trunk/PKGBUILD)
Deleted:
  python-wxpython/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   89 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 43 insertions(+), 46 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-05-15 11:20:22 UTC (rev 934633)
+++ PKGBUILD	2021-05-15 11:20:29 UTC (rev 934634)
@@ -1,46 +0,0 @@
-# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
-# Maintainer: Morten Linderud <foxboron at archlinux.org>
-# Contributor: Eric Bélanger <eric at archlinux.org>
-
-pkgname=python-wxpython
-_pkgname=wxPython
-pkgver=4.0.7.2
-_pkgver="${pkgver%.*}"
-_post="${pkgver##*.}"
-pkgrel=5
-pkgdesc='Cross-platform GUI toolkit'
-arch=('x86_64')
-license=('custom:wxWindows')
-url='https://www.wxpython.org'
-depends=('wxgtk3' 'python-six')
-optdepends=('python-pypubsub: Alternative to the deprecated wx.lib.pubsub API')
-makedepends=('mesa' 'glu' 'webkit2gtk' 'python-requests' 'python-setuptools')
-checkdepends=('xorg-server-xvfb' 'python-pytest-forked' 'python-numpy')
-source=("https://files.pythonhosted.org/packages/source/w/wxPython/wxPython-$_pkgver.post$_post.tar.gz")
-sha512sums=('7af89db90a0f7e6b644d61c1ede01ec36a2c295e46d44692ae9dbc4af923310c1b498a52f45b02a89e8917d844c6abe67e5f3fdd9c1d51da3312899319a349e4')
-
-prepare() {
-  sed -i "s|WX_CONFIG = 'wx-config'|WX_CONFIG = 'wx-config-gtk3'|" $_pkgname-$_pkgver.post$_post/build.py
-}
-
-build() {
-  cd "$_pkgname-$_pkgver.post$_post"
-
-  python build.py build --use_syswx --release
-}
-
-check() {
-  cd "$_pkgname-$_pkgver.post$_post"
-
-  # there are segfaulting tests so --forked ensures we get sensible results
-  PYTHONPATH=$PWD xvfb-run pytest --forked unittests || echo "==> WARNING: tests usually fail randomly"
-}
-
-package() {
-  cd "$_pkgname-$_pkgver.post$_post"
-
-  python build.py install --destdir="$pkgdir"
-
-  install -Dm 644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-  find "$pkgdir/usr/lib" -type f | xargs chmod 644
-}

Copied: python-wxpython/repos/community-x86_64/PKGBUILD (from rev 934633, python-wxpython/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-05-15 11:20:29 UTC (rev 934634)
@@ -0,0 +1,43 @@
+# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: Eric Bélanger <eric at archlinux.org>
+
+pkgname=python-wxpython
+_pkgname=wxPython
+pkgver=4.1.1
+# _pkgver="${pkgver%.*}"
+# _post="${pkgver##*.}"
+pkgrel=1
+pkgdesc='Cross-platform GUI toolkit'
+arch=('x86_64')
+license=('custom:wxWindows')
+url='https://www.wxpython.org'
+depends=('wxgtk3' 'python-six')
+optdepends=('python-pypubsub: Alternative to the deprecated wx.lib.pubsub API')
+makedepends=('mesa' 'glu' 'webkit2gtk' 'python-requests' 'python-setuptools')
+checkdepends=('xorg-server-xvfb' 'python-pytest-forked' 'python-numpy')
+#source=("https://files.pythonhosted.org/packages/source/w/wxPython/wxPython-$_pkgver.post$_post.tar.gz")
+source=("https://files.pythonhosted.org/packages/source/w/wxPython/wxPython-$pkgver.tar.gz")
+sha512sums=('00924008b97bbecb824c3fffd46fc76a5a3115d9346eb95baccc6cca99c080aa80b586af42fece8a3b4d234f2d07ffa8b66b50a164c41cbd95abc9b139c32809')
+
+build() {
+  #cd "$_pkgname-$_pkgver.post$_post"
+  cd "$_pkgname-$pkgver"
+  python build.py build --release
+}
+
+check() {
+  cd "$_pkgname-$pkgver"
+
+  # there are segfaulting tests so --forked ensures we get sensible results
+  PYTHONPATH=$PWD xvfb-run pytest --forked unittests || echo "==> WARNING: tests usually fail randomly"
+}
+
+package() {
+  cd "$_pkgname-$pkgver"
+
+  python build.py install --destdir="$pkgdir"
+
+  install -Dm 644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+  find "$pkgdir/usr/lib" -type f | xargs chmod 644
+}



More information about the arch-commits mailing list